import { Component, OnInit } from '@angular/core';
import {Router} from '@angular/router';
import {io} from 'socket.io-client';

@Component({
  selector: 'app-error',
  templateUrl: './error.component.html',
  styleUrls: ['./error.component.scss']
})
export class ErrorComponent implements OnInit {

  private socket: any;

  constructor(private router: Router) {}

  ngOnInit(): void {
    this.socket = io('http://localhost:3000');
    this.listen();
  }

  listen(): any {
    this.socket.on('position', (data: any) => {
      console.log('Listener:' , data);
    });
  }
  toStartpage(): void {
    this.router.navigate(['']);
  }

  move(direction: string): any {
    console.log('left: ', direction);
    this.socket.emit('move', direction);
  }
}
